package com.jackyjjc.bookevaluator.main;

import com.jackyjjc.bookevaluator.controller.LearnerKeyListener;
import com.jackyjjc.bookevaluator.gui.WordDialog;
import com.jackyjjc.bookevaluator.model.WordList;

/**
 * @author Junjie CHEN(jacky.jjchen@gmail.com)
 */
public class Learner {

    public void run() {

        WordList wordList = WordList.getWordList();
        WordDialog wordDialog = new WordDialog(new LearnerKeyListener(wordList.iterator()));
        wordDialog.pack();
        wordDialog.setVisible(true);
    }

}
