package com.jackyjjc.bookevaluator.main;

import com.jackyjjc.bookevaluator.controller.WordlistUpdateListener;
import com.jackyjjc.bookevaluator.gui.WordDialog;
import com.jackyjjc.bookevaluator.model.Dictionary;
import com.jackyjjc.bookevaluator.model.WordList;

/**
 * @author Junjie CHEN(jacky.jjchen@gmail.com)
 */
public class ListUpdater {

    public void run() {
        Dictionary dictionary = Dictionary.getDictionary();
        WordList wordList = WordList.getWordList();

        WordDialog wordDialog = new WordDialog(new WordlistUpdateListener(dictionary, wordList));
        wordDialog.pack();
        wordDialog.setVisible(true);
    }
}
